From 0c0e1e9a038d7e66669f79f567714ab5054c9345 Mon Sep 17 00:00:00 2001
From: Jochen Sprickerhof <jspricke@debian.org>
Date: Wed, 1 May 2019 12:28:12 +0200
Subject: [PATCH] Partly revert f4772d8 for ImageMagick < 7

---
 PythonMagick/__init__.py   |  8 ++++----
 pythonmagick_src/_main.cpp | 16 ++++++++--------
 2 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/PythonMagick/__init__.py b/PythonMagick/__init__.py
index 61ba8d4..6750c2e 100644
--- a/PythonMagick/__init__.py
+++ b/PythonMagick/__init__.py
@@ -51,10 +51,10 @@ class DrawableColor(_PythonMagick.DrawableColor):
 class DrawableCompositeImage(_PythonMagick.DrawableCompositeImage):
    pass
 
-class DrawableStrokeDashArray(_PythonMagick.DrawableStrokeDashArray):
+class DrawableDashArray(_PythonMagick.DrawableDashArray):
    pass
 
-class DrawableStrokeDashOffset(_PythonMagick.DrawableStrokeDashOffset):
+class DrawableDashOffset(_PythonMagick.DrawableDashOffset):
    pass
 
 class DrawableEllipse(_PythonMagick.DrawableEllipse):
@@ -78,7 +78,7 @@ class DrawableGravity(_PythonMagick.DrawableGravity):
 class DrawableLine(_PythonMagick.DrawableLine):
    pass
 
-class DrawableAlpha(_PythonMagick.DrawableAlpha):
+class DrawableMatte(_PythonMagick.DrawableMatte):
    pass
 
 class DrawableMiterLimit(_PythonMagick.DrawableMiterLimit):
@@ -174,7 +174,7 @@ class DrawableViewbox(_PythonMagick.DrawableViewbox):
 class Exception(_PythonMagick.Exception):
    pass
 
-class FilterType(_PythonMagick.FilterType):
+class FilterTypes(_PythonMagick.FilterTypes):
    pass
 
 class Geometry(_PythonMagick.Geometry):
diff --git a/pythonmagick_src/_main.cpp b/pythonmagick_src/_main.cpp
index a7d3cce..449f0b1 100644
--- a/pythonmagick_src/_main.cpp
+++ b/pythonmagick_src/_main.cpp
@@ -30,7 +30,7 @@ void Export_pyste_src_PathArcAbs();
 void Export_pyste_src_Image();
 void Export_pyste_src_GravityType();
 void Export_pyste_src_Geometry();
-void Export_pyste_src_FilterType();
+void Export_pyste_src_FilterTypes();
 void Export_pyste_src_Exception();
 void Export_pyste_src_DrawableViewbox();
 void Export_pyste_src_DrawableTranslation();
@@ -62,7 +62,7 @@ void Export_pyste_src_DrawablePointSize();
 void Export_pyste_src_DrawablePoint();
 void Export_pyste_src_DrawablePath();
 void Export_pyste_src_DrawableMiterLimit();
-void Export_pyste_src_DrawableAlpha();
+void Export_pyste_src_DrawableMatte();
 void Export_pyste_src_DrawableLine();
 void Export_pyste_src_DrawableGravity();
 void Export_pyste_src_DrawableFont();
@@ -70,8 +70,8 @@ void Export_pyste_src_DrawableFillRule();
 void Export_pyste_src_DrawableFillOpacity();
 void Export_pyste_src_DrawableFillColor();
 void Export_pyste_src_DrawableEllipse();
-void Export_pyste_src_DrawableStrokeDashOffset();
-void Export_pyste_src_DrawableStrokeDashArray();
+void Export_pyste_src_DrawableDashOffset();
+void Export_pyste_src_DrawableDashArray();
 void Export_pyste_src_DrawableCompositeImage();
 void Export_pyste_src_DrawableColor();
 void Export_pyste_src_DrawableClipPath();
@@ -119,7 +119,7 @@ BOOST_PYTHON_MODULE(_PythonMagick)
     Export_pyste_src_Image();
     Export_pyste_src_GravityType();
     Export_pyste_src_Geometry();
-    Export_pyste_src_FilterType();
+    Export_pyste_src_FilterTypes();
     Export_pyste_src_Exception();
     Export_pyste_src_DrawableViewbox();
     Export_pyste_src_DrawableTranslation();
@@ -151,7 +151,7 @@ BOOST_PYTHON_MODULE(_PythonMagick)
     Export_pyste_src_DrawablePoint();
     Export_pyste_src_DrawablePath();
     Export_pyste_src_DrawableMiterLimit();
-    Export_pyste_src_DrawableAlpha();
+    Export_pyste_src_DrawableMatte();
     Export_pyste_src_DrawableLine();
     Export_pyste_src_DrawableGravity();
     Export_pyste_src_DrawableFont();
@@ -159,8 +159,8 @@ BOOST_PYTHON_MODULE(_PythonMagick)
     Export_pyste_src_DrawableFillOpacity();
     Export_pyste_src_DrawableFillColor();
     Export_pyste_src_DrawableEllipse();
-    Export_pyste_src_DrawableStrokeDashOffset();
-    Export_pyste_src_DrawableStrokeDashArray();
+    Export_pyste_src_DrawableDashOffset();
+    Export_pyste_src_DrawableDashArray();
     Export_pyste_src_DrawableCompositeImage();
     Export_pyste_src_DrawableColor();
     Export_pyste_src_DrawableClipPath();
-- 
2.20.1

